Subject: Re: Questions.1A?

From: Sean Olson <[email-masked]>
Date: Tue, 31 Aug 1999 09:12:31 -0500 (CDT)

> Lawrence Conroy wrote:
> > 
> > Again, from a protocol perspective, rejecting a Re-Invite is OK for the
> > same reasons, but I'm not completely sure how an intervening SIP proxy will
> > treat it, hence the question.
> 
> Normally, a proxy wouldn't be maintaining call state, so it doesn't care
> whether the request was rejected or not.
> 

I would hesitate to call this the "normal" case. There will be call stateful
proxies in many cases. I would agree that even many call stateful 
proxies would not care that the re-invite was rejected, provided that the 
call leg remained active (see below).

> > 
> > Are any SIPpers able to confirm whether or not, on receipt of a rejection
> > of a Re-Invite by a recipient, the behaviour is to close the current SIP
> > call leg, not just rejecting the (higher CSeq) proposed change?
> 
> Again, the proxy won't normally care. In normal SIP, a UAC that sends a
> re-INVITE, and has it rejected, DOES NOT consider the call leg down.
> Only that specific transaction has failed, which means the call is still
> up, but with the old session parameters.
> 

But it would be fairly simple for that UAC to consequently send a BYE if
that is the desired behaviour.

> -Jonathan R.
> 
> 
> -- 
> Jonathan D. Rosenberg                       Lucent Technologies
> Member of Technical Staff                   101 Crawfords Corner Rd.
> High Speed Networks Research                Holmdel, NJ 07733
> FAX:   (732) 834-5379                       Rm. 4C-526
> EMAIL: [email-masked]
> URL: http://www.cs.columbia.edu/~jdrosen
> 

-----------------------------------------------------------------
Sean Olson            E-mail: [email-masked]
Ericsson Inc.         Voice: (972) 583-5472 
                      FAX: (972) 669-0154

---------
This message came from the IETF PINT Working Group Mailing List.